DEVICE={{ item.device|string }}
{% if item.bootproto|lower == 'static' %}
USERCTL=no
BOOTPROTO=none
{% if item.address is defined and item.address|string|length > 0 %}
IPADDR={{ item.address|string }}
{% endif %}
{% if item.onboot is defined and item.onboot|string|length > 0 %}
ONBOOT={{ item.onboot|default("yes") }}
{% endif %}
{% if item.netmask is defined and item.netmask|string|length > 0 %}
NETMASK={{ item.netmask|string }}
{% endif %}
{% if item.gateway is defined and item.gateway|string|length > 0 %}
GATEWAY={{ item.gateway|string }}
{% endif %}
BONDING_OPTS="mode={{ item.bond_mode|string }} miimon={{ item.bond_miimon|default(100) }} "
{% endif %}

{% if item.bootproto|lower == 'dhcp' %}
BONDING_OPTS="mode={{ item.bond_mode|string }} miimon={{ item.bond_miimon|default(100) }} "
USERCTL=no
ONBOOT={{ item.onboot|default("yes") }}
BOOTPROTO=dhcp
{% endif %}

{% if ansible_distribution_major_version is version_compare('7','>=') %}
NM_CONTROLLED=no
{% endif %}

{% if item.mtu is defined and item.mtu|string|length > 0 %}
MTU={{ item.mtu|string }}
{% endif %}
